package ru.yandex.webmaster3.storage.searchurl;

import com.fasterxml.jackson.annotation.JsonCreator;
import ru.yandex.webmaster3.storage.AbstractFilter;
import ru.yandex.webmaster3.storage.util.clickhouse2.condition.BoolOpCondition;

/**
 * @author avhaliullin
 */
public class ExcludedUrlFilter extends AbstractFilter<ExcludedUrlSampleField> {

    public ExcludedUrlFilter(ExcludedUrlSampleField indicator, Operation operation, String value) {
        super(indicator, operation, value);
    }

    @JsonCreator
    public ExcludedUrlFilter(ExcludedUrlSampleField indicator, Operation operation, String value, BoolOpCondition.Operator logicalOperator) {
        super(indicator, operation, value, logicalOperator);
    }
}
